Subject: guix package --roll-back message in Spanish is missing a line break

From: sirgazil <[email-masked]>
Date: Fri, 10 May 2019 11:12:28 -0500

Hi,

I'm using this system:

$ guix describe
Generación 1	06 may 2019 11:29:00	(actual)
  guix d6a68e9
    URL del repositorio: https://git.savannah.gnu.org/git/guix.git
    rama: master
    revisión: d6a68e90483b35bdc2ea78afe2c81873be67ec95

After running "guix package --roll-back" in a system with a Spanish locale (es_CO.UTF-8), I see that the output is missing a line break, so the prompt appears immediately after the output:

##########
$ guix package --roll-back
se pasó de la generación 48 a la 47.sirgazil@makine ~/Escritorio$ guix package -I
##########

It should look like this instead:

##########
$ guix package --roll-back
se pasó de la generación 48 a la 47.
sirgazil@makine ~/Escritorio$ guix package -I
##########

I didn't test if the issue actually depends on the locale.

---
https://sirgazil.bitbucket.io/